
%%
%генерация равномерного f-распределения
n=30000;
range=3;
alpha=0;
%This includes white noise (alpha = 0), pink noise (alpha = 1) and red or
%Brownian noise (alpha = 2), as well as noise for values of alpha between 0 and 2. 
y=f_alpha_uniform(n,range,alpha);
figure;
plot(y);
dlmwrite('f_alpha_uniform.txt',y,'\n');
%%
% генерация гауссового f-распределения

n=30000;
dispersia=1;
alpha=1;
%This includes white noise (alpha = 0), pink noise (alpha = 1) and red or
%Brownian noise (alpha = 2), as well as noise for values of alpha between 0 and 2. 
y=f_alpha_gaussian(n,dispersia,alpha);
figure;
plot(y);
dlmwrite('f_alpha_gauss.txt',y,'\n');
%%
%генерация ограниченного гауссового распределения
n=30000;
dispersia=.5;
range=1;
alpha=2;
%This includes white noise (alpha = 0), pink noise (alpha = 1) and red or
%Brownian noise (alpha = 2), as well as noise for values of alpha between 0 and 2. 
y=f_alpha_tgaussian(n,dispersia,range,alpha);
figure;
plot(y);
dlmwrite('f_alpha_tgauss.txt',y,'\n');
%%